Delete Scenario

Soft-deletes a scenario by marking it as deleted.

DELETE https://api.futureagi.com/simulate/scenarios/{scenario_id}/delete/

Authentication

X-Api-Key API Key Required

Your Future AGI API key used to authenticate requests. You can find and manage your API keys in the Dashboard under Settings.

X-Secret-Key Secret Key Required

Your Future AGI secret key, used alongside the API key for request authentication. This is generated when you create an API key in the Dashboard.

Path parameters

scenario_id UUID Required

The scenario ID.

Response

200 OK
message string
Confirmation of successful deletion.

Errors

401 Unauthorized Optional

Invalid or missing API credentials.

404 Not Found Optional

Scenario not found.

500 Internal Server Error Optional

Unexpected server error.

GET /
Authentication
REQUEST
 
RESPONSE